Package org.kapott.hbci.sepa.jaxb.pain_002_001_14

# Class MandateRelatedInformation16

java.lang.Object
org.kapott.hbci.sepa.jaxb.pain_002_001_14.MandateRelatedInformation16

public class MandateRelatedInformation16 extends Object

Java class for MandateRelatedInformation16 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="MandateRelatedInformation16">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="MndtId" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.14}Max35Text" minOccurs="0"/>
             <element name="DtOfSgntr" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.14}ISODate" minOccurs="0"/>
             <element name="AmdmntInd" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.14}TrueFalseIndicator" minOccurs="0"/>
             <element name="AmdmntInfDtls" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.14}AmendmentInformationDetails15" minOccurs="0"/>
             <element name="ElctrncSgntr" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.14}Max1025Text" minOccurs="0"/>
             <element name="FrstColltnDt" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.14}ISODate" minOccurs="0"/>
             <element name="FnlColltnDt" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.14}ISODate" minOccurs="0"/>
             <element name="Frqcy" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.14}Frequency36Choice" minOccurs="0"/>
             <element name="Rsn" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.14}MandateSetupReason1Choice" minOccurs="0"/>
             <element name="TrckgDays" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.14}Exact2NumericText" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected Boolean`
`amdmntInd`
`protected AmendmentInformationDetails15`
`amdmntInfDtls`
`protected XMLGregorianCalendar`
`dtOfSgntr`
`protected String`
`elctrncSgntr`
`protected XMLGregorianCalendar`
`fnlColltnDt`
`protected Frequency36Choice`
`frqcy`
`protected XMLGregorianCalendar`
`frstColltnDt`
`protected String`
`mndtId`
`protected MandateSetupReason1Choice`
`rsn`
`protected String`
`trckgDays`

## Constructor Summary

Constructors
Constructor
Description
`MandateRelatedInformation16()`

## Method Summary

Modifier and Type
Method
Description
`AmendmentInformationDetails15`
`getAmdmntInfDtls()`
Gets the value of the amdmntInfDtls property.
`XMLGregorianCalendar`
`getDtOfSgntr()`
Gets the value of the dtOfSgntr property.
`String`
`getElctrncSgntr()`
Gets the value of the elctrncSgntr property.
`XMLGregorianCalendar`
`getFnlColltnDt()`
Gets the value of the fnlColltnDt property.
`Frequency36Choice`
`getFrqcy()`
Gets the value of the frqcy property.
`XMLGregorianCalendar`
`getFrstColltnDt()`
Gets the value of the frstColltnDt property.
`String`
`getMndtId()`
Gets the value of the mndtId property.
`MandateSetupReason1Choice`
`getRsn()`
Gets the value of the rsn property.
`String`
`getTrckgDays()`
Gets the value of the trckgDays property.
`Boolean`
`isAmdmntInd()`
Gets the value of the amdmntInd property.
`void`
`setAmdmntInd(Boolean value)`
Sets the value of the amdmntInd property.
`void`
`setAmdmntInfDtls(AmendmentInformationDetails15 value)`
Sets the value of the amdmntInfDtls property.
`void`
`setDtOfSgntr(XMLGregorianCalendar value)`
Sets the value of the dtOfSgntr property.
`void`
`setElctrncSgntr(String value)`
Sets the value of the elctrncSgntr property.
`void`
`setFnlColltnDt(XMLGregorianCalendar value)`
Sets the value of the fnlColltnDt property.
`void`
`setFrqcy(Frequency36Choice value)`
Sets the value of the frqcy property.
`void`
`setFrstColltnDt(XMLGregorianCalendar value)`
Sets the value of the frstColltnDt property.
`void`
`setMndtId(String value)`
Sets the value of the mndtId property.
`void`
`setRsn(MandateSetupReason1Choice value)`
Sets the value of the rsn property.
`void`
`setTrckgDays(String value)`
Sets the value of the trckgDays property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### mndtId

protected String mndtId

### dtOfSgntr

protected XMLGregorianCalendar dtOfSgntr

### amdmntInd

protected Boolean amdmntInd

### amdmntInfDtls

protected AmendmentInformationDetails15 amdmntInfDtls

### elctrncSgntr

protected String elctrncSgntr

### frstColltnDt

protected XMLGregorianCalendar frstColltnDt

### fnlColltnDt

protected XMLGregorianCalendar fnlColltnDt

### frqcy

protected Frequency36Choice frqcy

### rsn

protected MandateSetupReason1Choice rsn

### trckgDays

protected String trckgDays

## Constructor Details

### MandateRelatedInformation16

public MandateRelatedInformation16()

## Method Details

### getMndtId

public String getMndtId()
Gets the value of the mndtId property.

Returns:
  possible object is `String`

### setMndtId

public void setMndtId(String value)
Sets the value of the mndtId property.

Parameters:
  `value` - allowed object is `String`

### getDtOfSgntr

public XMLGregorianCalendar getDtOfSgntr()
Gets the value of the dtOfSgntr property.

Returns:
  possible object is `XMLGregorianCalendar`

### setDtOfSgntr

public void setDtOfSgntr(XMLGregorianCalendar value)
Sets the value of the dtOfSgntr property.

Parameters:
  `value` - allowed object is `XMLGregorianCalendar`

### isAmdmntInd

public Boolean isAmdmntInd()
Gets the value of the amdmntInd property.

Returns:
  possible object is `Boolean`

### setAmdmntInd

public void setAmdmntInd(Boolean value)
Sets the value of the amdmntInd property.

Parameters:
  `value` - allowed object is `Boolean`

### getAmdmntInfDtls

public AmendmentInformationDetails15 getAmdmntInfDtls()
Gets the value of the amdmntInfDtls property.

Returns:
  possible object is `AmendmentInformationDetails15`

### setAmdmntInfDtls

public void setAmdmntInfDtls(AmendmentInformationDetails15 value)
Sets the value of the amdmntInfDtls property.

Parameters:
  `value` - allowed object is `AmendmentInformationDetails15`

### getElctrncSgntr

public String getElctrncSgntr()
Gets the value of the elctrncSgntr property.

Returns:
  possible object is `String`

### setElctrncSgntr

public void setElctrncSgntr(String value)
Sets the value of the elctrncSgntr property.

Parameters:
  `value` - allowed object is `String`

### getFrstColltnDt

public XMLGregorianCalendar getFrstColltnDt()
Gets the value of the frstColltnDt property.

Returns:
  possible object is `XMLGregorianCalendar`

### setFrstColltnDt

public void setFrstColltnDt(XMLGregorianCalendar value)
Sets the value of the frstColltnDt property.

Parameters:
  `value` - allowed object is `XMLGregorianCalendar`

### getFnlColltnDt

public XMLGregorianCalendar getFnlColltnDt()
Gets the value of the fnlColltnDt property.

Returns:
  possible object is `XMLGregorianCalendar`

### setFnlColltnDt

public void setFnlColltnDt(XMLGregorianCalendar value)
Sets the value of the fnlColltnDt property.

Parameters:
  `value` - allowed object is `XMLGregorianCalendar`

### getFrqcy

public Frequency36Choice getFrqcy()
Gets the value of the frqcy property.

Returns:
  possible object is `Frequency36Choice`

### setFrqcy

public void setFrqcy(Frequency36Choice value)
Sets the value of the frqcy property.

Parameters:
  `value` - allowed object is `Frequency36Choice`

### getRsn

public MandateSetupReason1Choice getRsn()
Gets the value of the rsn property.

Returns:
  possible object is `MandateSetupReason1Choice`

### setRsn

public void setRsn(MandateSetupReason1Choice value)
Sets the value of the rsn property.

Parameters:
  `value` - allowed object is `MandateSetupReason1Choice`

### getTrckgDays

public String getTrckgDays()
Gets the value of the trckgDays property.

Returns:
  possible object is `String`

### setTrckgDays

public void setTrckgDays(String value)
Sets the value of the trckgDays property.

Parameters:
  `value` - allowed object is `String`